com.trendmicro.ds.appcontrol.rest.object

## Enum DecisionLog.DecisionOrigin

- java.lang.Object
- - java.lang.Enum<DecisionLog.DecisionOrigin>
  - - com.trendmicro.ds.appcontrol.rest.object.DecisionLog.DecisionOrigin

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DecisionLog.DecisionOrigin>
  Enclosing class:
    DecisionLog

      public static enum DecisionLog.DecisionOrigin
      extends java.lang.Enum<DecisionLog.DecisionOrigin>

  The action that triggered this decision log.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION_PAGE` Used if decision origin is action page.
    `RULESET_EDITOR` Used if decision origin is ruleset editor.
    `SECURITY_EVENT_RULE_EDIT` Used if decision origin is security event.
    `UNKNOWN` Used if decision origin is unknown.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DecisionLog.DecisionOrigin` | `forValue(java.lang.Integer decisionOrigin)`
    `static DecisionLog.DecisionOrigin` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DecisionLog.DecisionOrigin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final DecisionLog.DecisionOrigin UNKNOWN

      Used if decision origin is unknown.

    - #### ACTION_PAGE

          public static final DecisionLog.DecisionOrigin ACTION_PAGE

      Used if decision origin is action page.

    - #### SECURITY_EVENT_RULE_EDIT

          public static final DecisionLog.DecisionOrigin SECURITY_EVENT_RULE_EDIT

      Used if decision origin is security event.

    - #### RULESET_EDITOR

          public static final DecisionLog.DecisionOrigin RULESET_EDITOR

      Used if decision origin is ruleset editor.

  - ### Method Detail

    - #### values

          public static DecisionLog.DecisionOrigin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DecisionLog.DecisionOrigin c : DecisionLog.DecisionOrigin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DecisionLog.DecisionOrigin valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### forValue

          public static DecisionLog.DecisionOrigin forValue(java.lang.Integer decisionOrigin)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.